<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Odbieranie plików</title>
</head>
<body>
<div>

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function getDir($dir)
{
  $fd = opendir($dir);
  if(!$fd) return false;
  $contents = "";
  while (($file = readdir($fd)) !== false){
    $contents .= "$file";
    $contents .= "\n";
  }
  closedir($fd);
  return($contents);
}
if(($str = getDir("./")) !== false){
  $str = str_replace("\n", "\n<br />", $str);
  echo($str);
}
else{
  echo("Zawartość katalogu nie jest dostępna.");
}
?>

</div>
</body>
</html>